<!DOCTYPE html>
<html>
<head>
  <title>Frage-Antwort-App</title>
  <style>
    .top-bar {
		height: 10%;
		display: flex;
		flex-direction: row;
		justify-content: flex-start;
	}
	
	.bottom-bar {
		height: 90%
	}
  
    .container {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: flex-start;
    }

    .input-container {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      width: 40%;
      margin-right: 10px;
    }

    .input-container label {
      margin-bottom: 10px;
    }

    .input-container input {
      width: 100%;
      height: 400px;
      vertical-align: top;
      text-align: top; /* Zum Zentrieren des Textes */
      white-space: pre-wrap; /* Zum automatischen Umbruch */
    }

    .select-container {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 20%;
      margin-right: 10px;
    }

    .select-container label {
      margin-bottom: 10px;
    }

    .select-container select {
      width: 100%;
      margin-bottom:10px;
    }

    .submit-container {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 20%;
    }

    .output-container {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      width: 40%;
    }

    .output-container label {
      margin-bottom: 10px;
    }

    .input-container textarea {
      width: 100%;
      height: 400px;
      border: 1px solid black;
      padding: 10px;
      box-sizing: border-box;
    }

    .output-container div {
      width: 100%;
      height: 400px;
      border: 1px solid black;
      padding: 10px;
      box-sizing: border-box;
    }
  </style>
</head>
<body>
  <div class="top-bar">
	  <div>
	    <img src="https://schrempp-edv.de/wp-content/uploads/2017/12/DHBW-Logo.png" width="20%">
	  </div>
	  <div>
	    <h1>Frage und Antwort-App</h1>
      </div>
  </div class="bottom-bar">
  <div>
	<form method="POST" action="/answer">
    <div class="container">
		<div class="input-container">
			<label for="text-input">Deine Frage:</label>
			<textarea id="text-input" name="text-input" placeholder="Geben Sie ihre Frage ein...">{{ user_question|safe }}</textarea>
		</div>
		<div class="submit-container">
		  <input type="submit" value="Beantworten" >
		</div>
		<div class="output-container">
			<label for="output">Die Antwort:</label>
        <div id="output" name="output" contenteditable>{{ output|safe }}</div>
      </div>
    </div>
  </form>
  </div>
</body>
</html>
